__gnu_pbds::hash_exponential_size_policy< Size_Type > Class Template Reference

## Public Types

typedef Size_Type | size_type

## Public Member Functions

| hash_exponential_size_policy (size_type start_size=8, size_type grow_factor=2)
void | swap (hash_exponential_size_policy< Size_Type > &other)

## Protected Member Functions

size_type | get_nearest_larger_size (size_type size) const
size_type | get_nearest_smaller_size (size_type size) const

## Detailed Description

### template<typename Size_Type = std::size_t>
class __gnu_pbds::hash_exponential_size_policy< Size_Type >

A size policy whose sequence of sizes form an exponential sequence (typically powers of 2.

Definition at line 413 of file hash_policy.hpp.

## Constructor & Destructor Documentation

template<typename Size_Type >

__gnu_pbds::hash_exponential_size_policy< Size_Type >::hash_exponential_size_policy | ( | size_type | start_size = `8`,
|  | size_type | grow_factor = `2`
| ) |  |

Default constructor, or onstructor taking a start_size, or constructor taking a start size and grow_factor. The policy will use the sequence of sizes start_size, start_size* grow_factor, start_size* grow_factor^2, ...

Definition at line 44 of file hash_policy.hpp.

The documentation for this class was generated from the following files:

- hash_policy.hpp
- hash_exponential_size_policy_imp.hpp